Subject: linux-next: manual merge of the slab tree with the percpu tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 22 Nov 2022 16:36:34 +1100

Hi all,

Today's linux-next merge of the slab tree got a conflict in:

  include/linux/percpu.h

between commit:

  d667c94962c1 ("mm/percpu: remove unused PERCPU_DYNAMIC_EARLY_SLOTS")

from the percpu tree and commit:

  e8753e416c7e ("percpu: adjust the value of PERCPU_DYNAMIC_EARLY_SIZE")

from the slab tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc include/linux/percpu.h
index 70bc17db00a6,3dbb6fb70658..000000000000
--- a/include/linux/percpu.h
+++ b/include/linux/percpu.h
@@@ -37,11 -37,12 +37,11 @@@
  /*
   * Percpu allocator can serve percpu allocations before slab is
   * initialized which allows slab to depend on the percpu allocator.
 - * The following two parameters decide how much resource to
 - * preallocate for this.  Keep PERCPU_DYNAMIC_RESERVE equal to or
 - * larger than PERCPU_DYNAMIC_EARLY_SIZE.
 + * The following parameter decide how much resource to preallocate
 + * for this.  Keep PERCPU_DYNAMIC_RESERVE equal to or larger than
 + * PERCPU_DYNAMIC_EARLY_SIZE.
   */
- #define PERCPU_DYNAMIC_EARLY_SIZE	(12 << 10)
 -#define PERCPU_DYNAMIC_EARLY_SLOTS	128
+ #define PERCPU_DYNAMIC_EARLY_SIZE	(20 << 10)
  
  /*
   * PERCPU_DYNAMIC_RESERVE indicates the amount of free area to piggy